package tui

import (
	"git.tordarus.net/tordarus/buf2d"
	"github.com/gdamore/tcell"
)

type View interface {
	Events

	SetForeground(color tcell.Color)
	Foreground() tcell.Color

	SetBackground(color tcell.Color)
	Background() tcell.Color

	Draw(*buf2d.Buffer)
}
